console.log("💳 Payment Page Loaded");

(function () {

  function waitForPayment() {

    let btn = document.querySelector("button");

    if (btn) {
      console.log("👉 Payment page detected");

      // Auto click (optional)
      // btn.click();

    } else {
      setTimeout(waitForPayment, 1000);
    }
  }

  waitForPayment();

})();